﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace LearnPodg.DataBase
{
    public partial class Service
    {
        public string Image
        {
            get
            {
                if (MainImagePath == null)
                    return "Resources\\Pictures\\English.jpg";
                return MainImagePath.Replace("Услуги школы", "Resources\\Pictures").Replace("Английский язык.jpg", "English.jpg");
            }
        }

        public SolidColorBrush ServiceBackgound => (Discount == 0 || Discount == null)? new SolidColorBrush(Colors.White) : new SolidColorBrush(Colors.LightGreen);

        public string PricePerMinuts => "" + (int)PriceAmount + " рублей за " + this.DurationInSeconds / 60 + " минут";

        public decimal PriceAmount => Cost - Cost * ((Discount == null) ? 0 : (decimal)Discount);

        public Visibility VisibilityDiscount => (Discount == 0 || Discount == null)? Visibility.Collapsed : Visibility.Visible;

        public string DisountPercent
        {
            get => "* скидка " + Discount * 100 + "%";
        }
    }
}
